#!/usr/bin/env python

"""
correlate names of talos
"""

import api
import sys
import optparse
from commandparser import CommandParser
from pprint import pprint

class TalosNamesCLI(object):
    def __init__(self):
        self.api = api.TalosNames()

    def graphserver(self, *names):
        if not names:
            names = [None]
        for arg in names:
            for name, graphserver_name in self.api(arg):
                print '%s : %s' % (name, graphserver_name)
            print

def main(args=sys.argv[1:]):
    parser = CommandParser(TalosNamesCLI)
    parser.invoke(sys.argv[1:])

if __name__ == '__main__':
    main()

